DNSSEC.Algorithm (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class DNSSEC.Algorithm

- java.lang.Object
- - org.xbill.DNS.DNSSEC.Algorithm

- Enclosing class:
    DNSSEC

      public static class DNSSEC.Algorithm
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DH` Diffie Hellman key
    `static int` | `DSA` DSA public key
    `static int` | `DSA_NSEC3_SHA1` DSA/SHA1, NSEC3-aware public key
    `static int` | `ECDSAP256SHA256` ECDSA Curve P-256 with SHA-256 public key
    `static int` | `ECDSAP384SHA384` ECDSA Curve P-384 with SHA-384 public key
    `static int` | `INDIRECT` Indirect keys; the actual key is elsewhere.
    `static int` | `PRIVATEDNS` Private algorithm, specified by domain name
    `static int` | `PRIVATEOID` Private algorithm, specified by OID
    `static int` | `RSA_NSEC3_SHA1` RSA/SHA1, NSEC3-aware public key
    `static int` | `RSAMD5` RSA/MD5 public key (deprecated)
    `static int` | `RSASHA1` RSA/SHA1 public key
    `static int` | `RSASHA256` RSA/SHA256 public key
    `static int` | `RSASHA512` RSA/SHA512 public key

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int alg)` Converts an algorithm into its textual representation
    `static int` | `value(String s)` Converts a textual representation of an algorithm into its numeric code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RSAMD5

          public static final int RSAMD5

      RSA/MD5 public key (deprecated)
      See Also:
        Constant Field Values

    - #### DH

          public static final int DH

      Diffie Hellman key
      See Also:
        Constant Field Values

    - #### DSA

          public static final int DSA

      DSA public key
      See Also:
        Constant Field Values

    - #### RSASHA1

          public static final int RSASHA1

      RSA/SHA1 public key
      See Also:
        Constant Field Values

    - #### DSA_NSEC3_SHA1

          public static final int DSA_NSEC3_SHA1

      DSA/SHA1, NSEC3-aware public key
      See Also:
        Constant Field Values

    - #### RSA_NSEC3_SHA1

          public static final int RSA_NSEC3_SHA1

      RSA/SHA1, NSEC3-aware public key
      See Also:
        Constant Field Values

    - #### RSASHA256

          public static final int RSASHA256

      RSA/SHA256 public key
      See Also:
        Constant Field Values

    - #### RSASHA512

          public static final int RSASHA512

      RSA/SHA512 public key
      See Also:
        Constant Field Values

    - #### ECDSAP256SHA256

          public static final int ECDSAP256SHA256

      ECDSA Curve P-256 with SHA-256 public key
      See Also:
        Constant Field Values

    - #### ECDSAP384SHA384

          public static final int ECDSAP384SHA384

      ECDSA Curve P-384 with SHA-384 public key
      See Also:
        Constant Field Values

    - #### INDIRECT

          public static final int INDIRECT

      Indirect keys; the actual key is elsewhere.
      See Also:
        Constant Field Values

    - #### PRIVATEDNS

          public static final int PRIVATEDNS

      Private algorithm, specified by domain name
      See Also:
        Constant Field Values

    - #### PRIVATEOID

          public static final int PRIVATEOID

      Private algorithm, specified by OID
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int alg)

      Converts an algorithm into its textual representation

    - #### value

          public static int value(String s)

      Converts a textual representation of an algorithm into its numeric code. Integers in the range 0..255 are also accepted.
      Parameters:
        `s` - The textual representation of the algorithm
      Returns:
        The algorithm code, or -1 on error.